=== debian/changelog ===
cpp-httplib (0.13.1+ds-1ubuntu1) mantic; urgency=medium

  * Build with -O2 on ppc64el

 -- Amin Bandali <bandali@ubuntu.com>  Fri, 01 Sep 2023 10:16:36 -0400

cpp-httplib (0.13.1+ds-1) unstable; urgency=medium

  * New upstream version 0.13.1+ds
  * d/control: libcpp-httplib0.11 -> libcpp-httplib0.13
  * d/patches: drop upstreamed patches

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 13 Jul 2023 18:23:21 +0200

cpp-httplib (0.11.4+ds-3) unstable; urgency=medium

  * d/patches: use C++14 with libgtest-dev >= 1.13.0.
    Fixes a FTBFS with the new GoogleTest in unstable.

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 13 Jul 2023 12:47:48 +0200

cpp-httplib (0.11.4+ds-2) unstable; urgency=medium

  * d/patches: fix fox CVE-2023-26130.
    Backport of the security fix for CVE-2023-26130, a CRLF Injection, from
    upstream commit 5b397d455d25a391ba346863830c1949627b4d08 included in
    upstream release 0.12.4 and newer. (Closes: #1037100)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 13 Jul 2023 10:16:54 +0200
