=== debian/control ===
Source: cpp-httplib
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends: debhelper-compat (= 13),
               meson (>= 0.47.0)
Build-Depends-Arch: libbrotli-dev,
                    libgtest-dev <!nocheck>,
                    libssl-dev (>= 1.1.1),
                    openssl <!nocheck>,
                    pkg-config,
                    python3:any,
                    zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://github.com/yhirose/cpp-httplib
Vcs-Git: https://salsa.debian.org/debian/cpp-httplib.git
Vcs-Browser: https://salsa.debian.org/debian/cpp-httplib
Rules-Requires-Root: no

Package: libcpp-httplib0.13
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: C++ HTTP/HTTPS server and client library
 cpp-httplib is a C++11 cross platform HTTP/HTTPS library, with a focus on
 ease of use. This is a multi-threaded 'blocking' HTTP library. If you are
 looking for a 'non-blocking' library, this is not the one that you want.

Package: libcpp-httplib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libbrotli-dev,
         libcpp-httplib0.13 (= ${binary:Version}),
         libssl-dev,
         zlib1g-dev,
         ${misc:Depends}
Description: C++ HTTP/HTTPS server and client library - development files
 cpp-httplib is a C++11 cross platform HTTP/HTTPS library, with a focus on
 ease of use. This is a multi-threaded 'blocking' HTTP library. If you are
 looking for a 'non-blocking' library, this is not the one that you want.
 .
 This package contains the development headers and a pkg-config file.
