=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+all,-lto qa=+all
 export DEB_CPPFLAGS_MAINT_APPEND = -DCPPHTTPLIB_USE_POLL
-
-# Ubuntu's ppc64el builder uses -O3 but that FTBFS here
-ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
-export DEB_CXXFLAGS_MAINT_APPEND += -O2
-export DEB_CXXFLAGS_MAINT_STRIP += -O3
-endif
 
 %:
 	dh $@ --buildsystem=meson
