=== debian/changelog ===
cpp-httplib (0.14.3+ds-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:57:06 +0000

cpp-httplib (0.14.3+ds-1.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:36:20 +0000

cpp-httplib (0.14.3+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061906

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:39:39 +0000

cpp-httplib (0.14.3+ds-1) unstable; urgency=medium

  * New upstream version 0.14.3+ds

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 24 Dec 2023 17:57:33 +0100

cpp-httplib (0.14.2+ds-1) unstable; urgency=medium

  * New upstream version 0.14.2+ds
  * d/patches: drop upstreamed patches

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 11 Dec 2023 10:38:29 +0100

cpp-httplib (0.14.1+ds-2) unstable; urgency=medium

  * d/patches: update version number to 0.14.1.
    Thanks to David James for the report! (Closes: #1056604)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 30 Nov 2023 09:34:38 +0100

cpp-httplib (0.14.1+ds-1) unstable; urgency=medium

  * New upstream version 0.14.1+ds
  * Upload to unstable

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 20 Oct 2023 20:19:31 +0200

cpp-httplib (0.14.0+ds-1) experimental; urgency=medium

  * New upstream version 0.14.0+ds
  * d/control: libcpp-httplib0.13 -> libcpp-httplib0.14
  * d/patches: drop upstreamed patches

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 11 Sep 2023 23:40:58 +0200
