=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                meson (>= 0.47.0)
-Build-Depends-Arch: libbrotli-dev,
+Build-Depends-Arch: dpkg-dev (>= 1.22.5), libbrotli-dev,
                     libgtest-dev <!nocheck>,
                     libssl-dev (>= 1.1.1),
                     openssl <!nocheck>,
@@ -18,7 +18,10 @@
 Vcs-Browser: https://salsa.debian.org/debian/cpp-httplib
 Rules-Requires-Root: no
 
-Package: libcpp-httplib0.13
+Package: libcpp-httplib0.14t64
+Provides: ${t64:Provides}
+Replaces: libcpp-httplib0.14
+Breaks: libcpp-httplib0.14 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -35,7 +38,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libbrotli-dev,
-         libcpp-httplib0.13 (= ${binary:Version}),
+         libcpp-httplib0.14t64 (= ${binary:Version}),
          libssl-dev,
          zlib1g-dev,
          ${misc:Depends}
