=== debian/tests/control ===
Tests: pkgconfig
Depends: @, g++ | c++-compiler, pkg-config
