=== debian/changelog ===
cpp-httplib (0.15.3+ds-3) unstable; urgency=medium

  * Switch to dgit-maint-debrebase(7) workflow
  * d/gbp.conf: disable import-orig.merge.
    Needed to switch to git-debrebase.
  * d/README.source: document packaging workflow

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 07 Jul 2024 18:27:10 +0200

cpp-httplib (0.15.3+ds-2) unstable; urgency=medium

  * Upload to unstable
  * d/patches: fix tests on 32 bit architectures

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 23 Jun 2024 19:26:48 +0200

cpp-httplib (0.15.3+ds-1) experimental; urgency=medium

  * New upstream version 0.15.3+ds
  * d/control: libcpp-httplib0.14t64 -> libcpp-httplib0.15
  * d/control: build-depend on libssl-dev >= 3.0.0
  * d/patches: use static certs for tests (Closes: #1069357, #1073440)
  * d/s/lintian-overrides: override pkg-config => pkgconf

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 21 Jun 2024 23:18:06 +0200
