=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: cpp-httplib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
+Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                meson (>= 0.47.0)
-Build-Depends-Arch: dpkg-dev (>= 1.22.5), libbrotli-dev,
+Build-Depends-Arch: libbrotli-dev,
                     libgtest-dev <!nocheck>,
-                    libssl-dev (>= 1.1.1),
+                    libssl-dev (>= 3.0.0),
                     openssl <!nocheck>,
                     pkg-config,
                     python3:any,
@@ -18,10 +17,7 @@
 Vcs-Browser: https://salsa.debian.org/debian/cpp-httplib
 Rules-Requires-Root: no
 
-Package: libcpp-httplib0.14t64
-Provides: ${t64:Provides}
-Replaces: libcpp-httplib0.14
-Breaks: libcpp-httplib0.14 (<< ${source:Version})
+Package: libcpp-httplib0.15
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -38,7 +34,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libbrotli-dev,
-         libcpp-httplib0.14t64 (= ${binary:Version}),
+         libcpp-httplib0.15 (= ${binary:Version}),
          libssl-dev,
          zlib1g-dev,
          ${misc:Depends}
